> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Xml Presigned Url

> Generate presigned URL for XML file upload and trigger processing task.



## OpenAPI

````yaml https://api.openwearables.io/openapi.json post /api/v1/users/{user_id}/import/apple/xml/s3
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/users/{user_id}/import/apple/xml/s3:
    post:
      tags:
        - 'External: Apple Health Import'
      summary: Import Xml Presigned Url
      description: Generate presigned URL for XML file upload and trigger processing task.
      operationId: import_xml_presigned_url_api_v1_users__user_id__import_apple_xml_s3_post
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: X-Open-Wearables-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Open-Wearables-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PresignedURLRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresignedURLResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PresignedURLRequest:
      properties:
        filename:
          type: string
          maxLength: 200
          title: Filename
          description: Custom filename
          default: ''
        expiration_seconds:
          type: integer
          maximum: 3600
          minimum: 60
          title: Expiration Seconds
          description: URL expiration time in seconds (1 min - 1 hour)
          default: 300
        max_file_size:
          type: integer
          maximum: 1073741824
          minimum: 1024
          title: Max File Size
          description: Maximum file size in bytes (1KB - 500MB)
          default: 52428800
      type: object
      title: PresignedURLRequest
    PresignedURLResponse:
      properties:
        upload_url:
          type: string
          title: Upload Url
        form_fields:
          additionalProperties:
            type: string
          type: object
          title: Form Fields
        file_key:
          type: string
          title: File Key
        expires_in:
          type: integer
          title: Expires In
        max_file_size:
          type: integer
          title: Max File Size
        bucket:
          type: string
          title: Bucket
      type: object
      required:
        - upload_url
        - form_fields
        - file_key
        - expires_in
        - max_file_size
        - bucket
      title: PresignedURLResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````